Genivia - uddi2__businessEntity Class Reference

|  | Home | Documentation | uddi2__businessEntity Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
uddi2__businessEntity Class Reference

Schema urn:uddi-org:api_v2:"businessEntity". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__businessEntity:
[legend]

## Public Attributes
uddi2__discoveryURLs * | discoveryURLs
| Element reference "urn:uddi-org:api_v2":discoveryURLs. More...
std::vector< uddi2__name * > | name
| Vector of uddi2__name* with length 0..unbounded. More...
std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded. More...
uddi2__contacts * | contacts
| Element reference "urn:uddi-org:api_v2":contacts. More...
uddi2__businessServices * | businessServices
| Element reference "urn:uddi-org:api_v2":businessServices. More...
uddi2__identifierBag * | identifierBag
| Element reference "urn:uddi-org:api_v2":identifierBag. More...
uddi2__categoryBag * | categoryBag
| Element reference "urn:uddi-org:api_v2":categoryBag. More...
uddi2__businessKey | businessKey
| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey. More...
char * | operator_
| Attribute operator of type xs:string. More...
char * | authorizedName
| Attribute authorizedName of type xs:string. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"businessEntity".

## Member Data Documentation

char* uddi2__businessEntity::authorizedName

Attribute authorizedName of type xs:string.

Optional attribute

uddi2__businessKey uddi2__businessEntity::businessKey

Attribute businessKey of type "urn:uddi-org:api_v2":businessKey.

Required attribute

uddi2__businessServices* uddi2__businessEntity::businessServices

Element reference "urn:uddi-org:api_v2":businessServices.

Optional element

uddi2__categoryBag* uddi2__businessEntity::categoryBag

Element reference "urn:uddi-org:api_v2":categoryBag.

Optional element

uddi2__contacts* uddi2__businessEntity::contacts

Element reference "urn:uddi-org:api_v2":contacts.

Optional element

std::vector<uddi2__description* > uddi2__businessEntity::description

Vector of uddi2__description* with length 0..unbounded.

uddi2__discoveryURLs* uddi2__businessEntity::discoveryURLs

Element reference "urn:uddi-org:api_v2":discoveryURLs.

Optional element

uddi2__identifierBag* uddi2__businessEntity::identifierBag

Element reference "urn:uddi-org:api_v2":identifierBag.

Optional element

std::vector<uddi2__name* > uddi2__businessEntity::name

Vector of uddi2__name* with length 0..unbounded.

char* uddi2__businessEntity::operator_

Attribute operator of type xs:string.

Optional attribute

struct soap* uddi2__businessEntity::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h